# Supplementary code

Accompanying code for running experiments for our submission "Rare event modeling with self-regularized normalizing flows: what can we learn from a single failure?".

This directory contains all code and data needed to run the 2D, SWI, ATC, and UAV experiments. The MNIST and CIFAR experiments are contained in another folder in the supplementary materials.

## Installation

First install [`poetry`](https://python-poetry.org/docs/), then run:

```
poetry install
```

## Running experiments

Scripts specifying the parameters and seeds needed to reproduce our experiments are included in `scripts/<experiment_name>/`. To reproduce the main results, use the `experiments.sh` file in each directory. 

Note that these scripts are designed to run multiple experiments in parallel across multiple GPUs, so they may need to be adapted given your particular GPU constraints (# of GPUs and available memory on each).

## License acknowledgement

This directory contains data from the [ALFA dataset](https://kilthub.cmu.edu/articles/dataset/ALFA_A_Dataset_for_UAV_Fault_and_Anomaly_Detection/12707963) on UAV failures, used under a CC BY 4.0 license.